# Makefile for SPS (Sun-2, Sun-3 and Sun-4, SunOS 4.1 Version)

PROG    =       sps
OBJS    =       filecount.o findtty.o flagdecode.o flagsetup.o \
		getcmd.o getupage.o globals1.o globals2.o hashuid.o \
		initialise.o initsymbols.o inittty.o main.o mktree.o \
		needed.o openfiles.o percentmem.o prcmd.o prcpu.o \
		prheader.o printall.o printproc.o prsummary.o readstatus.o \
		selectproc.o selecttty.o stream.o termwidth.o ttystatus.o \
		waitingfor.o
INCS    =       sps.h
CC      =       cc
# You'll need both "-DSUNOS40" and "-DSUNOS41" for SunOS 4.1
CFLAGS  =	-DSUN -DBSD42 -DNFS -DVPRINTF -DKVM -DSUNOS40 -DSUNOS41 -Isys
LIBS    =       -ltermlib -lkvm
DIRINSTALL	= /usr/kvm

all:		    $(PROG)
.c.o:
		$(CC) $(CFLAGS) -c -O -R $<

globals1.o stream.o waitingfor.o filecount.o:
		$(CC) $(CFLAGS) -c -O $<

$(OBJS):		sys $(INCS)

sys:
		-mkdir sys
		-ln -s /sys/* sys
		-ln -s /sys/sys sys/h

$(PROG):		$(OBJS)
		$(CC) -o $@ $(OBJS) $(LIBS)

install:		$(PROG)
		strip $(PROG)
		mv $(PROG) $(DIRINSTALL)/$(PROG)
		/etc/chown root $(DIRINSTALL)/$(PROG)
		chgrp kmem $(DIRINSTALL)/$(PROG)
		chmod 2755 $(DIRINSTALL)/$(PROG)

lint:
		lint -x -b $(CFLAGS) *.c $(LIBS)
clean:
		rm -f $(OBJS) $(PROG)
